Package org.apache.avro

# Class SchemaBuilder.PropBuilder<S extends SchemaBuilder.PropBuilder<S>>

java.lang.Object
org.apache.avro.SchemaBuilder.PropBuilder<S>

Direct Known Subclasses:
  `SchemaBuilder.ArrayBuilder`, `SchemaBuilder.BooleanBuilder`, `SchemaBuilder.BytesBuilder`, `SchemaBuilder.DoubleBuilder`, `SchemaBuilder.FloatBuilder`, `SchemaBuilder.IntBuilder`, `SchemaBuilder.LongBuilder`, `SchemaBuilder.MapBuilder`, `SchemaBuilder.NamedBuilder`, `SchemaBuilder.NullBuilder`, `SchemaBuilder.StringBldr`

Enclosing class:
  `SchemaBuilder`

public abstract static class SchemaBuilder.PropBuilder<S extends SchemaBuilder.PropBuilder<S>> extends Object
An abstract builder for all Avro types. All Avro types can have arbitrary string key-value properties.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`PropBuilder()`

## Method Summary

Modifier and Type
Method
Description
`final S`
`prop(String name, Object value)`
Set name-value pair properties for this type or field.
`final S`
`prop(String name, String val)`
Set name-value pair properties for this type or field.
`protected abstract S`
`self()`
a self-type for chaining builder subclasses.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PropBuilder

protected PropBuilder()

## Method Details

### prop

public final S prop(String name, String val)
Set name-value pair properties for this type or field.

### prop

public final S prop(String name, Object value)
Set name-value pair properties for this type or field.

### self

protected abstract S self()
a self-type for chaining builder subclasses. Concrete subclasses must return 'this'